"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/0n/_7v_bpwd1w71f8l0b0kjw5br0000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x102b479c0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x102b47a60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x102b47b00>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x102b47ba0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x102b47c40>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x102b47ce0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x102b47d80>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x102b47e20>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x102b47ec0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x102b47f60>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10438c040>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10438c0e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10438c180>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10438c220>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10438c2c0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10438c360>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10438c400>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10438c4a0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10438c540>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10438c5e0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10438c680>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10438c720>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10438c7c0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10438c860>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10438c900>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10438c9a0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10438ca40>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10438cae0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10438cb80>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10438cc20>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10438ccc0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10438cd60>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10438ce00>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10438cea0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10438cf40>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10438cfe0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10438d080>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10438d120>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10438d1c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10438d260>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10438d300>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10438d3a0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10438d440>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10438d4e0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10438d580>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10438d620>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10438d6c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10438d760>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10438d800>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10438d8a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10438d940>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10438d9e0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10438da80>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10438db20>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10438dbc0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10438dc60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10438dd00>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10438dda0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10438de40>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10438dee0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10438df80>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10438e020>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10438e0c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10438e160>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10438e200>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10438e2a0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10438e340>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10438e3e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10438e480>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10438e520>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10438e5c0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10438e660>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10438e700>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10438e7a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10438e840>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10438e8e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10438e980>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10438ea20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10438eac0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10438eb60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10438eca0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10438ec00>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10438ed40>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10438ede0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10438ee80>)]
name: str = 'fr_HOCCN'
